Bug 71477 - In gnome-terminal w/bash press ALT-F3 and all memory used
In gnome-terminal w/bash press ALT-F3 and all memory used
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-terminal (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-08-13 23:47 EDT by Dax Kelson
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-14 02:40:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2002-08-13 23:47:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
This is an odd one, but I can reproduce it every time. A clean install of
Limbo2, I create a regular user, login via GDM, open a gnome-terminal, give it
focus, and press ALT-F3.

The system becomes unresponsive, and all memory is used up (hard drive trashes
around in swap). Then finally, the OOM killer kicks and the system recovers.

dmesg says, "Out of Memory: Killed process 1564 (bash)."

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install limbo2
2.Login, run gnome-terminal
3.Give it focus
4.Press ALT-F3

Actual Results:  Out of Memory: Killed process 1564 (bash)

Expected Results:  I don't know what ALT-F3 is supposed to do, but it shouldn't
hose up bash that way.

Additional info:
Comment 1 Havoc Pennington 2002-08-13 23:55:26 EDT
I can't reproduce with vte 0.7.3 and gnome-terminal 2.0.1, likely fixed.
Please reopen if still happening with newer versions for you.
Comment 2 Nalin Dahyabhai 2002-08-14 02:40:32 EDT
This should be fixed in bash-2.05b-3 and later.
Comment 3 Jay Turner 2002-08-14 10:46:49 EDT
Fix confirmed with bash-2.05b-3.

Note You need to log in before you can comment on or make changes to this bug.